BcPGPPublicKeyRingCollection
Date: 2016-06-23

org.bouncycastle.openpgp.bc

## Class BcPGPPublicKeyRingCollection

- java.lang.Object
- - org.bouncycastle.openpgp.PGPPublicKeyRingCollection
  - - org.bouncycastle.openpgp.bc.BcPGPPublicKeyRingCollection

- All Implemented Interfaces:
    java.lang.Iterable<PGPPublicKeyRing>

      public class BcPGPPublicKeyRingCollection
      extends PGPPublicKeyRingCollection

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcPGPPublicKeyRingCollection(byte[] encoding)`
    `BcPGPPublicKeyRingCollection(java.util.Collection collection)`
    `BcPGPPublicKeyRingCollection(java.io.InputStream in)`

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.openpgp.PGPPublicKeyRingCollection

      `addPublicKeyRing, contains, encode, getEncoded, getKeyRings, getKeyRings, getKeyRings, getKeyRings, getPublicKey, getPublicKeyRing, iterator, removePublicKeyRing, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcPGPPublicKeyRingCollection

          public BcPGPPublicKeyRingCollection(byte[] encoding)
                                       throws java.io.IOException,
                                              PGPException

      Throws:
        `java.io.IOException`
        `PGPException`

    - #### BcPGPPublicKeyRingCollection

          public BcPGPPublicKeyRingCollection(java.io.InputStream in)
                                       throws java.io.IOException,
                                              PGPException

      Throws:
        `java.io.IOException`
        `PGPException`

    - #### BcPGPPublicKeyRingCollection

          public BcPGPPublicKeyRingCollection(java.util.Collection collection)
                                       throws java.io.IOException,
                                              PGPException

      Throws:
        `java.io.IOException`
        `PGPException`